Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.finder.finders
Class CommandFinder

    java.lang.Object
      org.eclipse.swtbot.eclipse.finder.finders.CommandFinder

    public class CommandFinder

extends Object

Finds all the contribution items within the application.

Since:
  1.2
Version:
  $Id$
Author:
  @author Stephen Paulin <paulin [at] spextreme [dot] com>

Constructor Summary
`CommandFinder()` Creates a CommandFinder.

Method Summary
`List<SWTBotCommand>` | `findCommand(ICommandService service, Matcher<?> matcher)` Gets a list of all command matching the matcher.
`List<SWTBotCommand>` | `findCommand(Matcher<?> matcher)` Finds a command matching the given item.
`protected ICommandService` | `getCommandService()` Gets the command service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandFinder

    public CommandFinder()

  Creates a CommandFinder.

Method Detail

### findCommand

    public List<SWTBotCommand> findCommand(Matcher<?> matcher)

  Finds a command matching the given item.

  Parameters:
    `matcher` - the matcher that can match commands.
  Returns:
    all command that match the matcher.

### findCommand

    public List<SWTBotCommand> findCommand(ICommandService service,
                                           Matcher<?> matcher)

  Gets a list of all command matching the matcher.

  Parameters:
    `service` - the `ICommandService` instance to use.
    `matcher` - the matcher that can match the command item.
  Returns:
    The list of `Command`s that match the matcher.

### getCommandService

    protected ICommandService getCommandService()

  Gets the command service.

  Returns:
    The `ICommandService`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD